{
  description = "nothing.run website";

  outputs = {
    self,
    nixpkgs,
  }: let
    system = "x86_64-linux";
    pkgs = nixpkgs.legacyPackages.${system};
  in {
    devShells.x86_64-linux.default = pkgs.mkShell {
      packages = with pkgs; [ nodejs ];
    };

    website = ./dist;

    packages.x86_64-linux.default = pkgs.stdenv.mkDerivation {
      pname = "website";
      version = "0.1.0";
      src = ./.;
      buildPhase = ''
        npm --version
        echo 'Running "npm install"'
        npm install
        echo 'Running "npm run build"'
        npm run build
      '';
      buildInputs = [ pkgs.nodejs ];
    };
  };
}
